%% setvalues
%    update the object settings based on an inputed structure
%    containing these desired values
% inputs:
%   object:Settings - current object
% outputs:
%   none
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [] = setvalues(object,settings)

object.pvs_includes = settings.inputs;
object.counter_trials = settings.count;
object.counter_range = settings.range;
if ~isfield(settings,'except')
    settings.except = 0;
end
object.except = settings.except;
end

